# ConvexClaim

### Description

Action that claims Convex rewards.

### Action ID

`0xa8979c45`

### SDK Action

```ts
const convexClaimAction = new dfs.actions.convex.ConvexClaimAction(
    from,
    to,
    curveLp
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param from address for which to claim rewards
    /// @param to address that will receive the rewards
    /// @param rewardContract Address of the reward contract
    struct Params {
        address from;
        address to;
        address rewardContract;
    }
```

### Return Value

```solidity
return bytes32(crvEarned);
```

### Events and Logs

```solidity
emit ActionEvent("ConvexClaim", logData);
logger.logActionDirectEvent("ConvexClaim", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/convex/convexclaim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
